#
# spec file for package nano
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _version 2.7
Name:           nano
Version:        2.7.3
Release:        0
Summary:        Pico editor clone with enhancements
License:        GPL-3.0+
Group:          Productivity/Text/Editors
Url:            http://nano-editor.org/
Source0:        http://nano-editor.org/dist/v%{_version}/%{name}-%{version}.tar.xz
Source1:        http://nano-editor.org/dist/v%{_version}/%{name}-%{version}.tar.xz.asc
Source2:        https://savannah.gnu.org/people/viewgpg.php?user_id=42085#/%{name}.keyring
BuildRequires:  file-devel
BuildRequires:  ncurses-devel
BuildRequires:  pkgconfig
BuildRequires:  zlib-devel
Requires(post): info
Requires(preun): info
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} <= 1110
BuildRequires:  xz
%endif
%if 0%{?suse_version} > 1230
BuildRequires:  groff-full
%else
BuildRequires:  groff
%endif
%if 0%{?suse_version} > 1140
BuildRequires:  makeinfo
%else
BuildRequires:  texinfo
%endif

%description
GNU nano is a small and friendly text editor. It aims to emulate
the Pico text editor while also offering a few enhancements.

%lang_package

%prep
%setup -q

%build
%configure \
  --disable-rpath \
  --enable-utf8
make %{?_smp_mflags}

%install
%make_install

# Move documents to a proper directory.
mkdir -p %{buildroot}%{_docdir}/
mv -f %{buildroot}%{_datadir}/doc/%{name}/ %{buildroot}%{_docdir}/%{name}/

%find_lang %{name} --with-man --all-name

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info%{?ext_info}

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info%{?ext_info}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog ChangeLog.pre-2.1 COPYING COPYING.DOC IMPROVEMENTS NEWS README THANKS TODO doc/nanorc.sample
%doc %{_docdir}/nano/
%exclude %{_docdir}/%{name}/*/
%{_bindir}/nano
%{_bindir}/rnano
%{_datadir}/nano/
%{_infodir}/nano.info%{?ext_info}
%{_mandir}/man1/nano.1%{?ext_man}
%{_mandir}/man1/rnano.1%{?ext_man}
%{_mandir}/man5/nanorc.5%{?ext_man}

%files lang -f %{name}.lang
%defattr(-,root,root)
%doc %{_docdir}/%{name}/*/

%changelog
